commit 96a870f1f0b01df9b57482281f277903cacf707f
Author: Stas Kelvich <stas.kelvich@gmail.com>
Date:   Mon Apr 10 12:31:10 2017 +0300

    stats test

diff --git a/src/test/subscription/t/001_rep_changes.pl b/src/test/subscription/t/001_rep_changes.pl
index d1817f5..257e680 100644
--- a/src/test/subscription/t/001_rep_changes.pl
+++ b/src/test/subscription/t/001_rep_changes.pl
@@ -3,7 +3,7 @@ use strict;
 use warnings;
 use PostgresNode;
 use TestLib;
-use Test::More tests => 14;
+use Test::More tests => 15;
 
 # Initialize publisher node
 my $node_publisher = get_new_node('publisher');
@@ -87,6 +87,11 @@ $node_publisher->safe_psql('postgres',
 $node_publisher->poll_query_until('postgres', $caughtup_query)
   or die "Timed out while waiting for subscriber to catch up";
 
+# check stats on subscriber side
+my $subscriber_stats = $node_subscriber->safe_psql('postgres',
+	"select n_tup_ins, n_live_tup from pg_catalog.pg_stat_user_tables where relname='tab_full'");
+is($subscriber_stats, qq(10|10), 'check proper statistics on subscriber');
+
 $result =
   $node_subscriber->safe_psql('postgres', "SELECT count(*), min(a), max(a) FROM tab_ins");
 is($result, qq(1052|1|1002), 'check replicated inserts on subscriber');
